<?php

namespace App\View;

use Psr\Http\Message\ResponseInterface;
use Psr\Http\Message\ServerRequestInterface;
use Slim\Views\Twig;

class Page
{
    private $view;
    
    public function __construct()
    {
	
    }

    public static function fromRequest(ServerRequestInterface $request)
    {
	$p = new Page();
	$p->view = Twig::fromRequest($request);
	return $p;
    }
    
    public function render($response, $page, $data): ResponseInterface
    {
	return $this->view->render($response, $page, $data);
    }
}
